<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>M-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFile_Client.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class projectx.game.file.<a href="../projectx/game/file/OFile_Client.html" title="class in projectx.game.file">OFile_Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFileServer.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class projectx.game.file.<a href="../projectx/game/file/OFileServer.html" title="class in projectx.game.file">OFileServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/Launcher.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class projectx.game.<a href="../projectx/game/Launcher.html" title="class in projectx.game">Launcher</a></dt>
<dd>
<div class="block">This method sets the window name, canvas and window size, then starts the
 game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/Server.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class projectx.game.<a href="../projectx/game/Server.html" title="class in projectx.game">Server</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/procs/global/man.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">man</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/man.html#man--">man()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/man.html" title="class in projectx.engine.terminal.procs.global">man</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/ManualParser.html" title="class in projectx.engine.terminal"><span class="typeNameLink">ManualParser</span></a> - Class in <a href="../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/ManualParser.html#ManualParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">ManualParser(Handler, Terminal)</a></span> - Constructor for class projectx.engine.terminal.<a href="../projectx/engine/terminal/ManualParser.html" title="class in projectx.engine.terminal">ManualParser</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/CommandParser.html#MANWD">MANWD</a></span> - Variable in class projectx.engine.terminal.<a href="../projectx/engine/terminal/CommandParser.html" title="class in projectx.engine.terminal">CommandParser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/worlds/Map.html" title="class in projectx.engine.worlds"><span class="typeNameLink">Map</span></a> - Class in <a href="../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/worlds/Map.html#Map-projectx.engine.Handler-java.lang.String-">Map(Handler, String)</a></span> - Constructor for class projectx.engine.worlds.<a href="../projectx/engine/worlds/Map.html" title="class in projectx.engine.worlds">Map</a></dt>
<dd>
<div class="block">Constructor for the Map class</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#map_builder_button">map_builder_button</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#mapBuilderMenuState">mapBuilderMenuState</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/state/MapBuilderMenuState.html" title="class in projectx.engine.state"><span class="typeNameLink">MapBuilderMenuState</span></a> - Class in <a href="../projectx/engine/state/package-summary.html">projectx.engine.state</a></dt>
<dd>
<div class="block">This class acts as the state that allows the user to choose if they want to
 create a new map or modify an existing file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MapBuilderMenuState.html#MapBuilderMenuState-projectx.engine.Handler-">MapBuilderMenuState(Handler)</a></span> - Constructor for class projectx.engine.state.<a href="../projectx/engine/state/MapBuilderMenuState.html" title="class in projectx.engine.state">MapBuilderMenuState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#mapBuilderState">mapBuilderState</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/state/MapBuilderState.html" title="class in projectx.engine.state"><span class="typeNameLink">MapBuilderState</span></a> - Class in <a href="../projectx/engine/state/package-summary.html">projectx.engine.state</a></dt>
<dd>
<div class="block">This class acts as the state that allows the user to create and modify the maps in the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MapBuilderState.html#MapBuilderState-projectx.engine.Handler-java.lang.String-">MapBuilderState(Handler, String)</a></span> - Constructor for class projectx.engine.state.<a href="../projectx/engine/state/MapBuilderState.html" title="class in projectx.engine.state">MapBuilderState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/CommandParser.html#mapToString--">mapToString()</a></span> - Method in class projectx.engine.terminal.<a href="../projectx/engine/terminal/CommandParser.html" title="class in projectx.engine.terminal">CommandParser</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#menuState">menuState</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/state/MenuState.html" title="class in projectx.engine.state"><span class="typeNameLink">MenuState</span></a> - Class in <a href="../projectx/engine/state/package-summary.html">projectx.engine.state</a></dt>
<dd>
<div class="block">This class acts as the menu state of the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MenuState.html#MenuState-projectx.engine.Handler-">MenuState(Handler)</a></span> - Constructor for class projectx.engine.state.<a href="../projectx/engine/state/MenuState.html" title="class in projectx.engine.state">MenuState</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/utils/MergeSort.html" title="class in projectx.engine.utils"><span class="typeNameLink">MergeSort</span></a> - Class in <a href="../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/MergeSort.html#MergeSort--">MergeSort()</a></span> - Constructor for class projectx.engine.utils.<a href="../projectx/engine/utils/MergeSort.html" title="class in projectx.engine.utils">MergeSort</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/MergeSort.html#mergeSort-java.util.ArrayList-">mergeSort(ArrayList&lt;Entity&gt;)</a></span> - Method in class projectx.engine.utils.<a href="../projectx/engine/utils/MergeSort.html" title="class in projectx.engine.utils">MergeSort</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/Server.html#messenger-byte:A-int-">messenger(byte[], int)</a></span> - Method in class projectx.game.<a href="../projectx/game/Server.html" title="class in projectx.game">Server</a></dt>
<dd>
<div class="block">This method is responsible for taking a users input and sending it to all the
 other users.</div>
</dd>
<dt><a href="../projectx/engine/terminal/modes/Mode.html" title="class in projectx.engine.terminal.modes"><span class="typeNameLink">Mode</span></a> - Class in <a href="../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Mode.html#Mode-projectx.engine.terminal.Terminal-projectx.engine.Handler-">Mode(Terminal, Handler)</a></span> - Constructor for class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Mode.html" title="class in projectx.engine.terminal.modes">Mode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/Terminal.html#mode">mode</a></span> - Variable in class projectx.engine.terminal.<a href="../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/GameCamera.html#move-float-float-double-">move(float, float, double)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx">GameCamera</a></dt>
<dd>
<div class="block">This method moves to the selected location based on the parameters xAmt and yAmt</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#move--">move()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method uses the methods moveX() and moveY() to move a creature around a
 screen.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#moveX--">moveX()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method allow for a creature to move in the X-Axis.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#moveY--">moveY()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method allow for a creature to move in the Y-Axis.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#multiplayer_button">multiplayer_button</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#multiplayerMenuState">multiplayerMenuState</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/state/MultiplayerMenuState.html" title="class in projectx.engine.state"><span class="typeNameLink">MultiplayerMenuState</span></a> - Class in <a href="../projectx/engine/state/package-summary.html">projectx.engine.state</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MultiplayerMenuState.html#MultiplayerMenuState-projectx.engine.Handler-">MultiplayerMenuState(Handler)</a></span> - Constructor for class projectx.engine.state.<a href="../projectx/engine/state/MultiplayerMenuState.html" title="class in projectx.engine.state">MultiplayerMenuState</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
